Output Support

Arcade System Requirements

Arcade is supported by all major DAWs in 64-bit VST, VST3, AU and AAX format.

  • OSX 10.12+ AU / VST / VST 3 / AAX
  • WIN 7+ 64 bit VST / VST3 / AAX

8GB RAM required, 16GB recommended

FL Studio: We strongly recommend enabling the ‘Use fixed size buffers’ option in the ‘Processing’ tab of the plugin wrapper.

Legacy Installers:

Arcade legacy installers are available here. Use these older versions of Arcade if you're using OSX 10.9-10.11. Additionally, Mixcraft 9 is supported on Arcade 1.3.11

Incompatible Systems:

The following systems are not compatible with Arcade:

  • 32-bit PC:
    • Pro Tools 10,
    • Cubase 8 (PC: VST, VST3). There are no known issues with Arcade running on Cubase 8 on a 64-bit machine.
Was this article helpful?
Have more questions? Submit a request